$packageName = "winmerge-jp"
$fileType = "exe"
$installerName = 'WinMerge-2.14.0.74-Setup.exe' -replace "\.(\d+)-",'+-jp-$1-'
$installerName64 = $installerName -replace "-Setup","-x64-Setup"
$url = "http://www.geocities.co.jp/SiliconValley-SanJose/8165/$installerName.zip" -replace "\+-jp","-jp"
$url64 = "http://www.geocities.co.jp/SiliconValley-SanJose/8165/$installerName64.zip" -replace "\+-jp","-jp"
$silentArgs = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-'
$validExitCodes = @(0)

try {
	$chocTempDir = Join-Path $env:TEMP "chocolatey"
	$tempDir = Join-Path $chocTempDir "$packageName"
	if (![System.IO.Directory]::Exists($tempDir)) {[System.IO.Directory]::CreateDirectory($tempDir)}

	$zipfile = Join-Path $tempDir "$($packageName).zip"
	$unzipdir = Join-Path $tempDir "$($packageName).unzip"

	Write-Host "Zipfile: [$zipfile]"
	if (-not (Test-Path $zipfile)) {
		Get-ChocolateyWebFile $packageName $zipfile $url $url64
	} else {
		Write-Host "Zipfile is already downloaded."
	}

	if (Get-ProcessorBits 64 -and -not $env:chocolateyForceX86) {
		$file = Join-Path $unzipdir $installerName64
	} else {
		$file = Join-Path $unzipdir $installerName
	}

	Write-Host "Installer: $file"
	if (-not (Test-Path $file)) {
		Get-ChocolateyUnzip "$zipfile" $unzipdir $specificFolder $packageName | Out-Null
	} else {
		Write-Host "Installer is already extracted."
	}

	Install-ChocolateyInstallPackage $packageName $fileType $silentArgs $file -validExitCodes $validExitCodes
	Remove-Item -path "$tempDir" -recurse -force
	Write-ChocolateySuccess "$packageName"
} catch {
  Write-ChocolateyFailure "$packageName" $($_.Exception.Message)
  throw
}
