$packageName = "winmerge-jp"

try {
  $key = "HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall"
  $key64 = "HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall"
  $entries = (Get-ChildItem $key) + (Get-ChildItem $key64)
  $target = $entries|?{$_.GetValue("DisplayName") -match "WinMerge"}

  if (-not $target) {
    Write-Host "$packageName is not installed."
  } else {
    $uninst = $target.GetValue('UninstallString')
    Write-Host "Uninstall $packageName by [$uninst]"
    & cmd /c "$uninst" /VERYSILENT /SP- /NORESTART
  }

  Write-ChocolateySuccess "$packageName"
} catch {
  Write-ChocolateyFailure "$packageName" $($_.Exception.Message)
  throw
}
